<?php
require("../class/connect.php");
include("../class/db_sql.php");
include("../class/config.php");
include("../class/functions.php");
include LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"do");

//增加刷新任务
function AddDo($add,$userid,$username){
	global $empire,$dbtbpre;
	if(empty($add[doname])||($add[doing]&&!$add[classid]))
	{printerror("EmptyDoname","history.go(-1)");}
	//验证权限
	CheckLevel($userid,$username,$classid,"do");
	//是否重复
	if($add[doing]==1)
	{
		$query="select count(*) as total from {$dbtbpre}enewsdo where classid='$add[classid]' limit 1";
    }
	else
	{
		$query="select count(*) as total from {$dbtbpre}enewsdo where doing=0 limit 1";
    }
	$num=$empire->gettotal($query);
	if($num)
	{printerror("ReDo","history.go(-1)");}
	if($add[dotime]<12)
	{$add[dotime]=12;}
	$lasttime=time();
	//变量处理
	$add[dotime]=(int)$add[dotime];
	$add[isopen]=(int)$add[isopen];
	$add[doing]=(int)$add[doing];
	$add[classid]=(int)$add[classid];
	$sql=$empire->query("insert into {$dbtbpre}enewsdo(doname,dotime,isopen,doing,classid,lasttime) values('$add[doname]',$add[dotime],$add[isopen],$add[doing],$add[classid],$lasttime);");
	$doid=$empire->lastid();
	if($sql)
	{
		//操作日志
		insert_dolog("doid=$doid&doname=$add[doname]");
		printerror("AddDoSuccess","AddDo.php?enews=AddDo");
    }
	else
	{printerror("DbError","history.go(-1)");}
}

//修改刷新任务
function EditDo($add,$userid,$username){
	global $empire,$dbtbpre;
	if(empty($add[doname])||($add[doing]&&!$add[classid]))
	{printerror("EmptyDoname","history.go(-1)");}
	//验证权限
	CheckLevel($userid,$username,$classid,"do");
	//是否重复
	if($add[doing]==1)
	{
		$query="select count(*) as total from {$dbtbpre}enewsdo where classid='$add[classid]' and doid<>$add[doid] limit 1";
    }
	else
	{
		$query="select count(*) as total from {$dbtbpre}enewsdo where doing=0 and doid<>$add[doid] limit 1";
    }
	$num=$empire->gettotal($query);
	if($num)
	{printerror("ReDo","history.go(-1)");}
	if($add[dotime]<12)
	{$add[dotime]=12;}
	//变量处理
	$add[dotime]=(int)$add[dotime];
	$add[isopen]=(int)$add[isopen];
	$add[doing]=(int)$add[doing];
	$add[classid]=(int)$add[classid];
	$sql=$empire->query("update {$dbtbpre}enewsdo set doname='$add[doname]',dotime=$add[dotime],isopen=$add[isopen],doing=$add[doing],classid=$add[classid] where doid='$add[doid]'");
	if($sql)
	{
		//操作日志
		insert_dolog("doid=$add[doid]&doname=$add[doname]");
		printerror("EditDoSuccess","ListDo.php");
    }
	else
	{printerror("DbError","history.go(-1)");}
}

//删除刷新任务
function DelDo($doid,$userid,$username){
	global $empire,$dbtbpre;
	$doid=(int)$doid;
	if(empty($doid))
	{printerror("EmptyDoid","history.go(-1)");}
	//验证权限
	CheckLevel($userid,$username,$classid,"do");
	$r=$empire->fetch1("select doname from {$dbtbpre}enewsdo where doid='$doid'");
	$sql=$empire->query("delete from {$dbtbpre}enewsdo where doid='$doid'");
	if($sql)
	{
		//操作日志
		insert_dolog("doid=$doid&doname=$r[doname]");
		printerror("EditDoSuccess","ListDo.php");
    }
	else
	{printerror("DbError","history.go(-1)");}
}

$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}
//增加刷新任务
if($enews=="AddDo")
{
	$add=$_POST['add'];
	AddDo($add,$logininid,$loginin);
}
//修改刷新任务
elseif($enews=="EditDo")
{
	$add=$_POST['add'];
	EditDo($add,$logininid,$loginin);
}
//删除刷新任务
elseif($enews=="DelDo")
{
	$doid=$_GET['doid'];
	DelDo($doid,$logininid,$loginin);
}

$page=(int)$_GET['page'];
$start=(int)$_GET['start'];
$line=25;//每页显示条数
$page_line=12;//每页显示链接数
$offset=$start+$page*$line;//总偏移量
$query="select * from {$dbtbpre}enewsdo";
$num=$empire->num($query);//取得总条数
$query=$query." order by doid desc limit $offset,$line";
$sql=$empire->query($query);
$returnpage=page1($num,$line,$page_line,$start,$page,$search);
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link href="adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
<title>管理刷新任务</title>
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr> 
    <td width="50%" height="25">位置：<a href="ListDo.php">管理定时刷新任务</a></td>
    <td> <div align="right">
        <input type="button" name="Submit" value="增加刷新任务" onclick="self.location.href='AddDo.php?enews=AddDo';">
      </div></td>
  </tr>
</table>

<br>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td width="8%" height="25"> <div align="center">ID</div></td>
    <td width="38%" height="25"> <div align="center">任务名</div></td>
    <td width="33%" height="25"> <div align="center">开启</div></td>
    <td width="21%" height="25"> <div align="center">操作</div></td>
  </tr>
  <?
  while($r=$empire->fetch($sql))
  {
  if($r[isopen])
  {$isopen="开启";}
  else
  {$isopen="关闭";}
  ?>
  <tr bgcolor="#FFFFFF"> 
    <td height="25"> <div align="center">
        <?=$r[doid]?>
      </div></td>
    <td height="25"> <div align="center">
        <?=$r[doname]?>
      </div></td>
    <td height="25"> <div align="center">
        <?=$isopen?>
      </div></td>
    <td height="25"> <div align="center">[<a href="AddDo.php?enews=EditDo&doid=<?=$r[doid]?>">修改</a>]&nbsp;[<a href="ListDo.php?enews=DelDo&doid=<?=$r[doid]?>" onclick="return confirm('确认要删除？');">删除</a>]</div></td>
  </tr>
  <?
  }
  ?>
  <tr bgcolor="#FFFFFF"> 
    <td height="25" colspan="4">&nbsp;&nbsp;&nbsp; 
      <?=$returnpage?>
    </td>
  </tr>
</table>
</body>
</html>
<?
db_close();
$empire=null;
?>
